<template>
  <v-layout
    wrap
    :justify-center="$vuetify.breakpoint.mdAndDown"
    justify-start
    class="writing-answers px-1"
  >
    <textarea
      :value="text"
      @input="setText"
      :class="{'ma-1': $vuetify.breakpoint.mdAndDown, 'errorText': hasError}"
      class="pa-1 custom-scroll elevation-0 writing-answers__text-field"
      :rows="rows"
      placeholder="Type your text here..."
    />
    <text-counter :counter="text.length"/>
  </v-layout>
</template>

<script>
import TextCounter from './components/TextCounter';

export default {
  components: {
    TextCounter,
  },
  props: {
    text: {
      type: String,
      default: '',
    },
  },
  computed: {
    hasError() {
      return this.text.length > 5000;
    },
    rows() {
      return this.$vuetify.breakpoint.mdAndDown ? 10 : 5;
    },
  },
  methods: {
    setText(event) {
      this.$emit('input', event.target.value);
    },
  },
};
</script>

<style lang="sass">
@import ~@/styles/defaults/variables
@import ~@/styles/defaults/mobileFirst

.errorText
  border: 1px solid #f44336!important

.writing-answers
  width: 100%
  margin: 0 auto
  &__text-field
    margin: 0 auto
    outline: none
    background: #fff
    width: 98%
    padding: 10px
    resize: none
    border: 1px solid rgba(0,0,0,.2)
  +media-min-lg()
    margin: 0px
    width: 100%
    height: 25vh
    &__text-field
      width: 100%
      border-radius: 3px
      margin: 10px 0px
</style>
